Apache 2.4 and PHP5.9 compatibility problems

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Apache 2.4 and PHP5.9 compatibility problems

Postby sigung_q » 13. January 2014 02:14

Hi All,

I have been trying to get PHP up and running. However, any PHP code I have in any file is ignored. All HTML runs fine. I have installed PHP, and I put the following lines of code into the httpd.conf file:

LoadModule php5_module "c:/xampp/php/php5apache2_4.dll"

PHPIniDir "c:/xampp/php"

AddType application/x-httpd-php .php

However, the second line that points to the PHP init file causes Apache to crash, with the following message:

8:00:39 PM [Apache] Error: Apache shutdown unexpectedly.
8:00:39 PM [Apache] This may be due to a blocked port, missing dependencies,
8:00:39 PM [Apache] improper privileges, a crash, or a shutdown by another method.
8:00:39 PM [Apache] Check the "/xampp/apache/logs/error.log" file
8:00:39 PM [Apache] and the Windows Event Viewer for more clues

The error.log file for Apache is empty. So I'm assuming this may be a program bug.

If I comment out the second line, it acts as if PHP doesn't exist.

Anyone know any fixes / workarounds?
sigung_q
 
Posts: 14
Joined: 05. February 2013 05:14
Operating System: Windows 7 V.6.1 Build 7601:SP1

Re: Apache 2.4 and PHP5.9 compatibility problems

Postby Altrea » 13. January 2014 06:17

Hi,

Sorry, we don't provide any support on how to upgrade any of the core single components in XAMPP.

Best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8293
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 82 guests